%define name		soap
%define version		2.3.1
%define cvs_version	2_3_1
%define release		3jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        Simple Object Access Protocol
License:        Apache Software License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Url:            http://xml.apache.org/
Source0:        http://xml.apache.org/dist/soap/version-2.3.1/soap-src-2.3.1.tar.gz
Distribution:	JPackage
Requires:	jpackage-utils >= 0:1.5
Requires:	ejb
Requires:	jaf
Requires:	javamail
Requires:	servletapi4
Requires:	xerces-j2
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ejb
BuildRequires:	jaf
BuildRequires:	javamail
BuildRequires:	servletapi4
BuildRequires:	xerces-j2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Apache Soap project is an implementation of the draft W3C protocol
by the same name. It is based on, and supersedes, the IBM SOAP4J
implementation.

From the draft W3C specification: SOAP is a lightweight protocol for
exchange of information in a decentralized, distributed environment. It
is an XML based protocol that consists of three parts: an envelope that
defines a framework for describing what is in a message and how to
process it, a set of encoding rules for expressing instances of
application-defined datatypes, and a convention for representing remote
procedure calls and responses.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{cvs_version}
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath ejb jaf javamail servletapi4 xerces-j2)
ant compile
ant javadocs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:2.3.1-3jpp
- update for JPackage 1.5

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 2.3.1-2jpp
- oldbsf

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.3.1-1jpp
- soap 2.3.1

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-1jpp
- first jpp release

